
Figure - Bug #117140
测试 Test-ST # 111337 (New): ST测试总票

测试 Test-ST # 116840 (New): 中控联调测试-AF

【AF】【EVT3】【音量调节】中控设置为静音，副屏断开蓝牙耳机后，音量调节条不显示静音
2023-03-24 11:16 - CD Test赵飞

Status: CLOSED Start date: 2023-03-24

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202303240240

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304190056

Reproducibility: Every time Fixed Version: 2023-04-18

Test Type: ST Root cause: 中控和副屏音量同步优化

Description

【前提条件】

1、副屏与中控已连接

2、副屏已连接蓝牙耳机

3、中控媒体音量非静音

【测试步骤】

1、中控侧进入设置 - 声音

2、点击媒体音量的静音图标

3、副屏侧关闭蓝牙开关

4、查看副屏音量显示

【预期结果】

5、副屏音量显示静音模式

【实际结果】

5、副屏音量显示非静音，且音量自动向右滑动了一下

History

#1 - 2023-03-28 18:36 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL,

■ 当前分析

根据当前的日志分析，该问题在蓝牙断开后，流的mute状态没有恢复到之前的muted，导致mute有问题。

■ 下一步

我将调查原生逻辑，查看是否有修改不足的地方。

#2 - 2023-03-28 18:36 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

#3 - 2023-04-04 17:32 - Multimedia组-RD3_TSCD 梁卿山
Hi ALL，

■ 现状

当前接口已经增加，但中控端接口定义有问题，需要修改。

副屏侧的对应已经完成，开发自测没有问题。

■ 下一步

等待中控修改接口。

#4 - 2023-04-11 13:53 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD Test赵飞

HI 赵飞

该问题当前提交可以修复，提交如下，开发本地自测ok。

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/191529

请使用以下VB进行验证，中控版本请保持68以上，谢谢！

http://192.168.87.26:8080/view/Projects/view/Project-IOT/job/VerifyBuild_for_IOT_6490/331/console

#5 - 2023-04-17 14:57 - CD TEST-方永红

- Assignee changed from CD Test赵飞 to Multimedia组-RD3_TSCD 梁卿山

HI,卿山

4.17

VB版本验证通过

【测试版本】

FlatBuild_HH_MCE_FSE.M.D.userdebug.01.00.C103.202304110602

【前提条件】

1、副屏与中控已连接

2、副屏已连接蓝牙耳机

3、中控媒体音量非静音

【测试步骤】

1、中控侧进入设置 - 声音

2、点击媒体音量的静音图标

3、副屏侧关闭蓝牙开关

4、查看副屏音量显示

【测试结果】

蓝牙断开后，副屏先变回媒体音量，随后变为静音

#6 - 2023-04-18 09:40 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

191529 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/191529
http://192.168.87.26:8080/view/Projects/view/Project-IOT/job/VerifyBuild_for_IOT_6490/331/console


MM: Audio: Fix Volume and Mute syncFix Volume and Mute syncTC-RID: 0301-0900116IssueID: TS-R-BUG-117140Change-Id:

Ic57c502ffcb896bb341dd198b41b39f11b6858b0

#7 - 2023-04-18 09:47 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-04-18

- Root cause set to 中控和副屏音量同步优化

HI 永红

代码已经合入，请使用4/18后的版本进行验证，谢谢！

#8 - 2023-04-18 09:48 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

#9 - 2023-04-19 15:18 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304190056

4.19

验证通过

#10 - 2023-04-19 15:18 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

logcat.txt 3.47 MB 2023-03-24 CD Test赵飞

screen-20230324-041425.mp4 3.33 MB 2023-03-24 CD Test赵飞
